routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Auth::routes();
Route::get('/', 'HomeController@client');
Route::get('home', 'HomeController@client')->name('home');
Route::group(['middleware' => 'is_admin'], function () {
  Route::get('admin', 'HomeController@admin')->name('admin.home')->middleware('is_admin');
  
  Route::resource('admin/brand','BrandController');
  Route::resource('admin/kategori','KategoriController');
  Route::resource('admin/list-produk','ProdukController');
  Route::resource('admin/rekening','RekeningController');
  Route::resource('admin/member', 'MemberController');

  Route::get('admin/pesanan', 'PesananController@index');
  Route::post('admin/pesanan/konfirmasi-pembayaran/{id}', 'PesananController@konfirmasiPembayaran');
  Route::post('admin/pesanan/batal-konfirmasi-pembayaran/{id}', 'PesananController@batalKonfirmasiPembayaran');
  Route::post('admin/pesanan/konfirmasi-pengambilan/{id}', 'PesananController@konfirmasiPengambilan');
  Route::post('admin/pesanan/batal-konfirmasi-pengambilan/{id}', 'PesananController@batalKonfirmasiPengambilan');
  Route::post('admin/pesanan/konfirmasi-pengembalian/{id}', 'PesananController@konfirmasiPengembalian');
  Route::post('admin/pesanan/batal-konfirmasi-pengembalian/{id}', 'PesananController@batalKonfirmasiPengembalian');
  
  Route::get('admin/pesanan-detail/{id}','PesananController@pesananDetail');

  Route::get('admin/laporan','LaporanController@index');
});

Route::resource('produk','Client\ProdukController');
Route::get('produk/brand/{brand}','Client\ProdukController@showBrand')->name('produk.show_brand');
Route::get('produk/brand/kategori/{kategori}','Client\ProdukController@showKategori')->name('produk.show_kategori');



Route::get('kontak', 'KontakController@index');

Route::get('profil','Client\ProfilController@index')->name('profil.index');
Route::get('profil/edit', 'Client\ProfilController@edit')->name('profil.edit');
Route::get('profil/avatar/edit', 'Client\ProfilController@editAvatar')->name('profil.edit_avatar');
Route::post('profil/update', 'Client\ProfilController@update')->name('profil.update');
Route::post('profil/avatar/update', 'Client\ProfilController@updateAvatar')->name('profil.update_avatar');
Route::post('profil/avatar/destroy', 'Client\ProfilController@destroyAvatar')->name('profil.destroy_avatar');


Route::get('rental/{id}', 'RentalController@index');
Route::post('rental/{id}', 'RentalController@store');


Route::get('checkout', 'RentalController@checkout');
Route::delete('checkout/{id}', 'RentalController@delete');


Route::get('pembayaran', 'PembayaranController@index');
Route::post('upload-bukti-pembayaran', 'PembayaranController@uploadBukti');

Route::get('pesanan', 'Client\PesananController@index');
Route::get('pesanan-detail/{id}','Client\PesananController@show');

app/Produk.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Produk extends Model
{
    protected $table = 'produk';
    protected $fillable = ['nama_produk','kategori_id','brand_id','harga_sewa','stok','deskripsi','spesifikasi','foto'];

    public function kategori() 
    {
        return $this->belongsTo('App\Kategori');
        
        // return $this->hasOne('App\Kategori');
    }

     public function brand() 
    {
        return $this->belongsTo('App\Brand');
        
        // return $this->hasOne('App\BRAND');
    }

    public function pesanan_detail()
    {
        return $this->hasMany('App\PesananDetail');
    }

}

app/Http/Controllers/Client/PesananController.php
<?php

namespace App\Http\Controllers\Client;
use App\Http\Controllers\Controller;
use App\User;
use Auth;
use App\Pesanan;
use App\PesananDetail;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;


class PesananController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    
    public function index()
    {
      $pesanan = Pesanan::where('user_id', Auth::user()->id)->whereNotNull('bukti_pembayaran')->orderBy('tanggal','desc')->get();
      if(!empty($pesanan))
      {
          return view('client.pesanan', compact('pesanan'));
      }else
      return view('client.pesanan');
    }

     /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $pesanan_detail = PesananDetail::where('pesanan_id',$id)->get();
        return view('client.pesanan_detail', compact('pesanan_detail'));
    }
}

app/Http/Controllers/Client/ProdukController.php
<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Produk;
use App\Kategori;
use App\Brand;
use File;

class ProdukController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $produk = Produk::latest()->get();
        $kategori = Kategori::all();
        $brand = Brand::all();


        return view('client.produk.index',compact('produk','kategori','brand'));
    }

    public function showBrand(Brand $brand)
    {
        $produk = $brand->Produk()->get();
        $kategori = Kategori::select('id', 'kategori')->get();
        $brand = Brand::all();
         
         return view('client.produk.index', compact( 'produk', 'brand', 'kategori'));
         
    }

    public function showKategori(Kategori $kategori)
    {
        $produk = $kategori->Produk()->get();
        $kategori = Kategori::select('id', 'kategori')->get();
        $brand = Brand::all();
         
        return view('client.produk.index', compact( 'produk', 'brand', 'kategori'));
         
     }


    

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $produk = Produk::find($id);
        return view('client.produk.detail', compact('produk'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Client/ProfilController.php
<?php

namespace App\Http\Controllers\Client;
use App\Http\Controllers\Controller;
use App\User;
use File;
use Auth;
use App\Pesanan;
use App\PesananDetail;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;


class ProfilController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    
    public function index()
    {
        $user = Auth::user();
        //$user = User::where('id', Auth::user()->id)->first();   
        return view('client.profil.index',compact('user'));
        
    }

    public function edit()
    {
        $user = Auth::user();
        return view('client.profil.edit',compact('user'));
    }

    public function editAvatar()
    {
        return view('client.profil.edit_avatar');
    }
    
    public function updateAvatar(Request $request)
    {
        $request->validate([
            'foto_profil' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:2048',
        ]);

        $user = Auth::user();
        File::delete('img/avatar/'.$user->foto_profil);
        $nama_foto = $user->id.'_avatar'.time().'.'.request()->foto_profil->getClientOriginalExtension();

        $request->file('foto_profil')->move('img/avatar',$nama_foto);

        $user->foto_profil = $nama_foto;
        $user->save();

        return redirect('profil')->with('sukses','Foto Profil Berhasil Diupdate');
    }

    public function update(Request $request)
    {
        $this->validate($request, [
            'alamat' => 'required',
            'jk' => 'required',
            'tgl_lahir' => 'required',
            'hp' => 'required',
            'no_ktp' => 'required',
        ]);

        $user = Auth::user();
        $user->update($request->all());
        return redirect ('profil')->with('sukses', 'Profil Berhasil Diupdate');
    }

    public function destroyAvatar(Request $request)
    {
        $user = Auth::user();
        File::delete('img/avatar/'.$user->foto_profil);
        $user->foto_profil = '';
        $user->save();
        return redirect('profil')->with('sukses','Foto Profil Berhasil Dihapus');
    }
}

app/Http/Controllers/ProdukController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Produk;
use App\Kategori;
use App\Brand;
use File;
use Input;
class ProdukController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $produk = Produk::latest()->paginate(5);
        $kategori = Kategori::all();
        $brand = Brand::all();
        return view('admin.produk.index', compact('produk', 'kategori', 'brand'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $brand = Brand::all();
        $kategori = Kategori::all();
        return view('admin.produk.create',compact('brand', 'kategori'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'nama_produk'=> 'required',
            'kategori_id'=> 'required',
            'brand_id'=> 'required',
            'harga_sewa'=> 'required',
            'stok'=> 'required',
            'deskripsi'=> 'required',
            'spesifikasi'=> 'required',
            'foto' => 'required|file|image|mimes:jpeg,png,jpg|max:2048',
        ]);
     
        $foto = $request->file('foto');
        $nama_foto = time()."_".$foto->getClientOriginalName();
        $foto->move('img/produk',$nama_foto);
     
        Produk::create([
            'file' => $nama_foto,
            'keterangan' => $request->keterangan,
            'nama_produk' => $request->nama_produk,
            'merek' => $request->merek,
            'kategori_id' => $request->kategori_id,
            'brand_id' => $request->brand_id,
            'harga_sewa' => $request->harga_sewa,
            'stok' => $request->stok,
            'deskripsi' => $request->deskripsi,
            'spesifikasi' => $request->spesifikasi,
            'foto' => $nama_foto
        ]);

        return redirect()->route('list-produk.index')->with('sukses', 'Data Produk Berhasil Ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $produk = Produk::find($id);
        $kategori = Kategori::all();
        $brand = Brand::all();
        return view('admin.produk.edit',compact('produk','kategori','brand'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        // dd($request->all());
        $this->validate($request, [
            'nama_produk'=> 'required',
            'kategori_id'=> 'required',
            'brand_id'=> 'required',
            'harga_sewa'=> 'required',
            'stok'=> 'required',
            'deskripsi'=> 'required',
            'spesifikasi'=> 'required'
        ]);

        $produk = Produk::find($id);
        $produk->update($request->all());
        // // update foto            
        if($request->hasFile('foto')){
            File::delete('img/produk/'.$produk->foto);
            $foto = $request->file('foto');
            $nama_foto = time()."_".$foto->getClientOriginalName();
            $foto->move('img/produk',$nama_foto);
            $produk->foto = $nama_foto;
            $produk->update();            
        }
        return redirect()->route('list-produk.index')->with('sukses', 'Data Berhasil Update');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $produk = Produk::find($id);
        File::delete('img/produk/'.$produk->foto);
        
        $produk->delete();
        return redirect()->route('list-produk.index')->with('sukses','Data Produk Berhasil Dihapus');
    }
}

resources/views/client/produk/detail.blade.php
@extends('layouts.client')
@section('konten')

<div class="container mb-4 mt-4">
  <div class="col-md-10 m-auto">
    <a href="{{ url()->previous() }}" class="nav-item nav-link text-secondary">
      <i class="fas fa-arrow-left mr-3"></i>Kembali
    </a>
    <div class="card">
      <div class="card-body">
        <h4 class="card-title">{{$produk->brand->nama_brand}} {{$produk->nama_produk}}</h4>
        <div class="row">
          <div class="col-md-5 m-auto">
            <div class="rental-imgBox">
              <img src="{{ asset('img/produk/'.$produk->foto) }}" alt="">
            </div>
          </div>
          <div class="col-md-7">
            <table class="table">
              <tbody>
                <tr>
                  <td>Nama Produk</td>
                  <td>:</td>
                  <td>{{$produk->brand->nama_brand}} {{$produk->nama_produk}}</td>
                </tr>
                <tr>
                  <td>Deskripsi</td>
                  <td>:</td>
                  <td>{{$produk->deskripsi}}</td>
                </tr>
                <tr>
                  <td>Brand</td>
                  <td>:</td>
                  <td>{{$produk->brand->nama_brand}}</td>
                </tr>
                <tr>
                  <td>Kategori</td>
                  <td>:</td>
                  <td>{{$produk->kategori->kategori}}</td>
                </tr>
                <tr>
                  <td>Spesifikasi</td>
                  <td>:</td>
                  <td>{{$produk->spesifikasi}}</td>
                </tr>
                <tr>
                  <td>Harga Sewa</td>
                  <td>:</td>
                  <td>{{number_format($produk->harga_sewa)}}/hari</td>
                </tr>
                <tr>
                  <td>Stok</td>
                  <td>:</td>
                  @if($produk->stok == 0)
                  <td>Stok Habis</td>
                  @else
                  <td>{{$produk->stok}}</td>
                  @endif
                </tr>
              </tbody>
            </table>
            @if($produk->stok == 0) <a class="btn btn-warning disabled" href="{{url('rental')}}/{{$produk->id}}">
              Tidak Tersedia</a>
            @else
            <a class="btn btn-warning" href="{{url('rental')}}/{{$produk->id}}">Rental</a>
            @endif
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</div>
@endsection

resources/views/client/produk/index.blade.php
@extends('layouts.client')
@section('konten')
<div class="container-fluid">
  <div class="row mt-2">
    <div class="col-md-2">
      <ul class="list-group list-group-flush fixed">
        <li class="list-group-item bg-detail">Brand</li>
        <a href="{{ route('produk.index') }}" class="list-group-item list-group-item-action">Semua Brand</a>
        @foreach ($brand as $b)
        <a class="list-group-item list-group-item-action"
          href="{{route('produk.show_brand', $b->slug)}}">{{$b->nama_brand}}</a>
        @endforeach
      </ul>
    </div>
    <div class="col-md-10">
      @if(session('sukses'))
      <div class="alert alert-success">
        {{session('sukses')}}
      </div>
      @endif
      <section class="new-product">
        <h3 class="text-center sec-title">Produk</h3>
        <div class="dropdown mb-5">
          <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            Kategori Produk
          </button>
          <!-- kategori dropdown here -->
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
            @foreach ($kategori as $k)
            <a class="dropdown-item" href="{{route('produk.show_kategori', $k->kategori)}}">{{$k->kategori}}</a>
            @endforeach
          </div>
        </div>
        <div class="row mb-4">
          @foreach ($produk as $p)
          <div class="col-md-3">
            <div class="product">
              <div class="card border-0">
                <div class="produkImg">
                  <img src="{{ asset('img/produk/'.$p->foto) }}" class="card-img-top" alt="foto produk">
                </div>
                <div class="card-body">
                  <h6 class="card-title">{{$p->brand->nama_brand}} {{$p->nama_produk}}</h6>
                  <p class="card-text">{{$p->deskripsi}}.</p>
                  <p class="harga-sewa">
                    Rp. {{number_format($p->harga_sewa)}}/hari
                  </p>
                  @if($p->stok == 0) <a class="btn btn-warning disabled" href="{{url('rental')}}/{{$p->id}}">
                    Tidak Tersedia</a>
                  @else
                  <a class="btn btn-warning" href="{{url('rental')}}/{{$p->id}}">Rent</a>
                  @endif
                  <a class="btn btn-secondary" href="{{route('produk.show',$p->id)}}">Detail</a>
                </div>
              </div>
            </div>
          </div>
          @endforeach
        </div>
      </section>
    </div>
  </div>
</div>
@endsection